Show / Hide Table of Contents

# Class DRKGauge

In-memory DRK job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<DarkKnightGauge>
DRKGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class DRKGauge : JobGaugeBase<DarkKnightGauge>

### Properties

| Improve this Doc View Source

#### Blood

Gets the amount of blood accumulated.

##### Declaration

    public byte Blood { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### DarksideTimeRemaining

Gets the Darkside time remaining in milliseconds.

##### Declaration

    public ushort DarksideTimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### HasDarkArts

Gets a value indicating whether the player has Dark Arts or not.

##### Declaration

    public bool HasDarkArts { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### ShadowTimeRemaining

Gets the Shadow time remaining in milliseconds.

##### Declaration

    public ushort ShadowTimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |